<?php
include_once 'lib/ConfigWritter.php';
$config = ConfigWritter::getInstance();
$itemPrice = $config->getParameter('ITEM_PRICE');
?>
<!doctype html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="description" content="">
		<meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
		<meta name="generator" content="Hugo 0.88.1">
		<title>PrimePayments</title>
		<!-- Bootstrap core CSS -->
		<link href="view/css/bootstrap.min.css" rel="stylesheet">
		<link href="view/css/sweetalert2.min.css" rel="stylesheet">
		<!-- Favicons -->
		<meta name="theme-color" content="#7952b3">
		<style>
			.bd-placeholder-img {
				font-size: 1.125rem;
				text-anchor: middle;
				-webkit-user-select: none;
				-moz-user-select: none;
				user-select: none;
			}
			@media (min-width: 768px) {
				.bd-placeholder-img-lg {
					font-size: 3.5rem;
				}
			}
		</style>
	</head>
	<body class="text-center">
		<main class="form-signin">
			<form>
				<img src="https://primepayments.ru/img/logo.svg" alt="" class="hidden-sm">
				<hr>
				<h1 class="h3 mb-3 fw-normal">Пример формы с использованием jQuery ajax</h1>
				<div class="form-floating">
					<input type="us_account" class="form-control" id="us_account" placeholder="playername" autocomplete="off">
					<label for="us_account">Имя персонажа в игре</label>
				</div>
				<div class="form-floating">
					<input type="sum" class="form-control" id="sum" placeholder="100" onchange="calc(this.value);" autocomplete="off">
					<label for="sum">Количество монет</label>
				</div>
				<div class="alert alert-success">Итого к оплате: <span id="result-sum">0</span> рублей</div>
				<button class="w-100 btn btn-lg btn-primary" type="submit">Оплатить</button>
			</form>
		</main>

		<script src="view/js/jquery-3.6.0.min.js"></script>
		<script src="view/js/sweetalert2.min.js"></script>
		<script>
		function calc(sum){
			let price = sum * <?php echo $itemPrice; ?>;
			document.getElementById("result-sum").innerHTML=price;
		}
		$('form').submit((e) => {
			e.preventDefault();

			let formData = {
				us_account: $('form #us_account').val(),
				sum: $('form #sum').val(),
			};
			
			$.ajax({
				type: 'post',
				url: 'payment.php?from=ajax',
				data: formData,
				success: (result) => {
					let resultData = result.split(':');
					if(resultData[0] != 'url'){
						Swal.fire(resultData[0]);
					}else{
						window.location.href = 'https:' + resultData[2];
					}
				},
			});
		});
		</script>
	</body>
</html>